import { Observable } from 'rxjs';
import { OutputRow, RxRunFnArgs } from './types.js';
/**
  * Reactive Running of Command Script
  * @param command {string}
  * @param args {string[]|null}
  * @param options {Partial<RxRunOpts>|null}
  *
  * @returns Observable<Buffer | ExitCodeSignal> the last value is the exit code and signal
  * @link https://nodejs.org/api/child_process.html#child_process_child_process_spawn_command_args_options
  */
export declare function run(command: RxRunFnArgs[0], args?: RxRunFnArgs[1], options?: RxRunFnArgs[2]): Observable<OutputRow>;
export declare function escapeShell(cmd: string): string;
//# sourceMappingURL=index.d.ts.map